Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel python-module-setuptools
# END SourceDeps(oneline)
BuildRequires: python-module-objects.inv python-test
%define oldname python-cloudservers
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname cloudservers

Name: python-module-cloudservers
Version: 1.2
Release: alt1_18
Summary: Client library for Rackspace's Cloud Servers API

License: BSD
Url: http://packages.python.org/python-cloudservers
Source0: %{oldname}-%{version}.tar.gz

BuildArch: noarch
Source44: import.info

%description
This is a client for Rackspace's Cloud Servers API. There's a Python API (the
"cloudservers" module), and a command-line script ("cloudservers"). Each
implements 100% of the Rackspace API.

%package -n python-module-cloudservers-doc
Group: Documentation
Summary: Documentation for %{oldname}
Requires: python-module-cloudservers = %{version}-%{release}
BuildArch: noarch

%description -n python-module-cloudservers-doc
Documentation for %{oldname}


%prep
%setup -n %{oldname}-%{version} -qn %{oldname}-%{version}
# Remove the argparse requirement from setup.py to avoid a traceback
# when invoking the cloudservers binary, since now that argparse is in
# stdlib, no egg-info is provided.
sed -i "s/'argparse', //g" setup.py

%build
%python_build
pushd docs
make html
popd

%install
%python_install


%files -n python-module-cloudservers
%{python_sitelibdir_noarch}/cloudservers
%{python_sitelibdir_noarch}/python_cloudservers-*.egg-info
%{_bindir}/cloudservers

%files -n python-module-cloudservers-doc
%doc docs/_build/html


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_16
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_8
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_6
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_5
- initial fc import

